Subject: Re: Upon further inspection...
From: Bob McGowan <[email-masked]>
To: Matthew Smith <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Fri, 28 Jul 2000 14:27:53 -0700

This is now off-topic for the list, I thing.

Yes, there are several things that have changed between NT 4 and Windows
2000.  Do "help cmd" and read the sections about "command extensions". 
Extensions are 'on' by default in 2000, 'off' in 4.0, plus the number
of  them differ.

You can still do this, but you will have to explicitly start the cmd.exe
with extensions OFF:

   cmd /E:off

or set up to run the file using backslashes.

Bob

Matthew Smith wrote:
> 
> Upon further inspection, I've learned it's not a sh problem at all.  What
> was happening was that the shell script in question was creating a .bat file
> on the fly, and then execing the .bat file.  It seems that Microsoft in
> their infinite wisdom has changed the behavior of cmd.exe between Windows
> NT4 and Windows 2k.  Under Windows 2k, try creating a simple .bat file that
> echos something to the screen.  Then try to run the batch file by saying
> ./file.bat.  It will spit this out to the screen:
> 
> '.' is not recognized as an internal or external command,
> operable program or batch file.
> 
> Which was the problem I was having.  Bummer.
> 
> cheers,
> -Matt Smith
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]